# permissions for end users to view libvirtmachines.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: libvirtmachine-viewer-role
rules:
- apiGroups:
  - infrastructure.cluster.x-k8s.io
  resources:
  - libvirtmachines
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - infrastructure.cluster.x-k8s.io
  resources:
  - libvirtmachines/status
  verbs:
  - get
